spring.profiles.active=dev

server.port=8083


spring.datasource.username=root
spring.datasource.password=123456
spring.datasource.url=jdbc:mysql://192.168.168.212:3306/imagepro?useUnicode=true&characterEncoding=utf-8

spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
spring.datasource.filters= stat
spring.datasource.maxActive= 1000
spring.datasource.initialSize=100
spring.datasource.maxWait= 60000
spring.datasource.minIdle=500
spring.datasource.timeBetweenEvictionRunsMillis=60000
spring.datasource.minEvictableIdleTimeMillis= 300000
spring.datasource.validationQuery= select 'x'
spring.datasource.testWhileIdle= true
spring.datasource.testOnBorrow= false
spring.datasource.testOnReturn=false
spring.datasource.poolPreparedStatements= true
spring.datasource.maxOpenPreparedStatements= 20

spring.jackson.date-format=yyyy-MM-dd HH:mm:ss
spring.jackson.time-zone=GMT+8
#
spring.redis.host=127.0.0.1
spring.redis.port=6379
spring.cache.type=redis
spring.cache.redis.time-to-live=600000
#spring.redis.password=123456
spring.mail.host=smtp.163.com
spring.mail.username=shiro_action@163.com
spring.mail.password=shiro123
spring.mail.default-encoding=utf-8

mybatis.configuration.map-underscore-to-camel-case=true
mybatis.mapper-locations=classpath:mapper/*.xml

logging.level.im.zhaojun=info
logging.level.org.crazycake.shiro=info
logging.pattern.console=%clr(%d{${LOG_DATEFORMAT_PATTERN:yyyy-MM-dd HH:mm:ss.SSS}}){faint} %clr(${LOG_LEVEL_PATTERN:%5p}) %clr(${PID}){magenta} %clr(---){faint} %clr([%15.15t]){faint} [%15.15X{username}] [%15.15X{ip}] %clr(%-40.40logger{39}){cyan} %clr(:){faint} %m%n${LOG_EXCEPTION_CONVERSION_WORD:%wEx}

spring.mvc.throw-exception-if-no-handler-found=true
spring.resources.add-mappings=true
spring.thymeleaf.cache=false

shiro-action.log.operation = false
shiro-action.log.login = false

shiro-action.session-timeout=259200
shiro-action.perms-cache-timeout=518400

shiro-action.super-admin-username=admin
shiro-action.retry-count=5
shiro-action.retry-timeout=300
shiro-action.login-verify=true

spring.devtools.restart.enabled=true
spring.devtools.restart.additional-paths=src/main/java
spring.devtools.restart.exclude=static/**,public/**

#spring.profiles.path= D:/imp/config/im/hzjt.properties
#spring.profiles.path= D:/hzjt_service/imp/config/im/hzjt.properties

managername=admin

devicesend.url=http://33.50.1.22:8089/traffdevicewriteresult/sendDevices
devicesend.timeout=1000
flvurl=http://localhost:8089/getflv

json.resisurl=http://33.50.1.21:57081/record/ecvs
qingzhi.devicewrite.url=http://33.50.1.213:38080/api/jtldpt/impld/deviceWrite
qingzhi.devicewritesupplier.name=zksy
qingzhi.devicewrite.timeout=5000
qingzhi.eventwrite.url=http://33.50.1.213:38080/api/jtldpt/impld/trafficEventWrite
qingzhi.eventwrite.timeout=5000

eventsend.url=http://localhost:8089/sendEvents
pushrecordurl=localhost:8089/sendtouser

ipstrs=33.55.1.85,33.55.1.86,33.55.1.87,33.55.1.88,33.55.1.89,33.55.1.90,33.55.1.91,33.55.1.92,33.55.1.93,33.55.1.94,33.55.1.95,33.55.1.96,33.51.6.97,33.60.1.7,33.54.3.240,33.53.1.171,33.52.1.222,33.61.1.23,33.57.1.22


ipurl=:8001/api/traffic-incident/restartAutoRule